﻿using UnityEngine;
using UnityEditor;

namespace PluginIdea
{
    public class MonitorCamModule : EasyMorphyModuleBase
    {

        public Camera MonitorCenterCamera
        {
            get { return SuperController.singleton.MonitorCenterCamera; }
        }

        public MonitorCamModule(EasyMorphy ower)
        {
            this.ower = ower;
        }

        public override void Init()
        {
            
        }

        public void FocusPoint(Vector3 focusPosition, bool rotationOnly = true, bool alignUpDown = true)
        {
            if (MonitorCenterCamera != null)
            {
                Vector3 dirction = (focusPosition - MonitorCenterCamera.transform.position).normalized;
                this.MonitorCenterCamera.transform.LookAt(focusPosition);
                Vector3 localEulerAngles = this.MonitorCenterCamera.transform.localEulerAngles;
                if (!alignUpDown)
                {
                    localEulerAngles.x = 0f;
                }
                localEulerAngles.y = 0f;
                localEulerAngles.z = 0f;
                this.MonitorCenterCamera.transform.localEulerAngles = localEulerAngles;

                SuperController.singleton.SyncMonitorRigPosition();
            }
        }

        public override void OnUpdate()
        {

        }

        public override void UnInit()
        {
        }
    }
}